org.richfaces.renderkit.html

## Class MenuSeparatorRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.MenuSeparatorRendererBase
      - - org.richfaces.renderkit.html.MenuSeparatorRenderer

-     public class MenuSeparatorRenderer
      extends MenuSeparatorRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.MenuSeparatorRendererBase

      `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuSeparatorRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuSeparatorRenderer

          public MenuSeparatorRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.